2024-??-?? (v3.00.0011)
  fix: hotkeys are visible after pressing Ctrl-Minus in panel
  fix: NDN can load "PAQ" font files (in DOS version)
  new: windows 11 ver 23H2 detection
  fix: check "Size<0" in unpack diskette images
  fix: help navigator loader stack modified
  fix: sometimes crash mode switch (F4 hot key) in file viewer
  fix: Shift-F10 in panel & Alt-C/N editor not worked as he should in russian language
  fix: 1st page is remapped in 64-bit D3X dos extender (DOS64 version)
  fix: show valid XMS handle number used by D3X in XMS statistics
  fix: in Windows version PATH environment variable is searched to run program from command line in new window
  new: DOS64 version now support files greather than 2GB (seek via Int21h.7142)
  new: added cpuid instructions feature flags
  new: added two "fake" drives ("." - go to up path, "\" - go to root path) on panel's drive line
  new: hotkeys: F7 - Do copy, F8 - Do paste, all times from FileAttribute change dialog (Ctrl-[Shift]-A)
  fix: some hotkeys in build editor fixed
  new: additional option, find/replace string in editor inside/outside of quote
  new: %Z in FormatStr() means ASCIIZ/PChar
  new: cmd line param /CODEPAGE:N sets starting CodePage to N in unicode Windows version
  fix: in unpack diskette images files with starting character #5 in name are now supported
  fix: in unicode Windows version chars with Alt pressed are correctly received
  fix: selected text search in editor improved/fixed
  new: append string to all lines in block (added to editor menu)
  new: remove string from end of lines in block (added to editor menu)
  fix: auto Highlight of View support Unicode chars (char>#255)
  fix: not quoted text detection in resources and RCP compiler
  fix: MultiDialog has now visible title (bug in RCP compiler)
  new: string "." in help files (TVHC - *.htx) will be justified to right by multi characters "."
  fix: the best player's name and Top 10 players in games are now visible as unicode string
  new: load font from current file in panel (8x16) also in KolibriOS/MenuetOS/SigmaOS
  new: Alt-Ins hotkey - insert current directory to InputLine
  new: Alt-"["/"]" hotkeys - insert left/right panel full path + selected file name to InputLine
  fix: Insert + Shift/Ctrl/Alt hotkey now works fine in Dos versions
  new: Ctrl-Alt-Ins hotkey unlike other views (Ctrl-Ins) make copy to clipboard of focused TLabel view
  new: Alt-Home/End switch to first/last view in dialogs
  new: Import/Paste file from... (hex) to internal editor
  fix: MemoryMap also in MenuetOS/SigmaOS versions
  fix: Jump to correct entry point in MZ header when CS<0
  new: windows 11 ver 24H2 detection
  new: Added "!Contains" option to Editor Find/Replace dialog. When checked, it searches for lines that
       do not contain a string in the "Contains" dialog field
  fix: change language menu uses commands value greater than 65535
  fix: current ega/vga font in ascii-map is now visible in all dos versions

2023-11-24 (v3.00.0010)
  fix: some loading speed improvements in Dos version (thanks to Voland by report)
  fix: now dos versions not will be compressed by UPX to faster loading on slow machines
       (you can compress/decompress ndn.prg file if you need)
  fix: trayicon was not visible in FPC versions
  new: windows 11 ver 22H2 detection
  new: added cpuid instructions feature flags
  new: added to disassembler instructions: AVX VNNI, AVX512 Bfloat16, AMX, RAO-INT, CMPccXADD & others
  new: decoder hotkeys: Alt-[ - toggles not Intel/AMD instructions, Alt-] toggles undocumented instructions
  fix: was bug in procedure that reads disk sector in decoder (only windows versions)
  new: additional 20 palettes from other projects
  new: possible toggle FlatView (hide subdirectories) in FilePanel (Ctrl-Alt-V hotkey)
  new: add in menu Options->Configuration->MiscellaneousSetups->OperatingSystem->Run when Windows starts
  new: now export/import procedures in PE/PE+ header are sorted by name
  fix: 2ndSky screen saver sometimes ran circularly
  new: four internal screen savers (Radar, Snake, Text, etc.)
  fix: NDN not crash when can't map linear frame buffer or when he not exist (Dos32 - graph mode)
  new: Digital/Numeric Converter with (dis)-assembly functions
  fix: Was small bug in CStr2Str() - last char in string result sometimes was cut
  new: pressing Ctrl-F3 hotkey in decoder enables change type of display in Hex/Text mode
  new: enabling CPUID levels ( >=3 via MSR IA32_MISC_ENABLE bit 22) after press "Detail" & "Enable CPUID" buttons
  new: special Windows folders added (Ctrl-Alt-Shift-P hotkey)
  new: go to environment variable folders (Ctrl-Alt-Shift-E hotkey)
  new: find open/locked files to close file or kill process on Windows versions
  fix: Help button doesn't work after press
  fix: detect destination path length > 255 in Copy/Move files
  fix: minesweeper game sometimes crash
  fix: CR/LF command (line breaks replace) skips when detect sames file names (source & target)
  new: show inputline current and maximal possible length
  new: Ctrl-Ins hotkey copy active button title
  fix: crash with some commands when zero files are in both panels
  new: Ctrl-Left/Right switches to prev/next item in Tabs & MultiDialog
  fix: HTML viewer checks for pressing the Esc key to abort the file loading on when it takes a long time
  fix: HTML viewer not jumps to negative positions when scan a file
  fix: Dos64 version works with VCPI driver (if you have memory beyond 4GB)
  fix: Zydis V4, Capstone V5 disassemblers
  fix: Default disabled detection VESA modes (because not works with WinNT)
  fix: LMSW instruction in CPU detection removed
  fix: Default disabled AutoMaximize Window (problems with Win11)
  fix: added ENABLE_EXTENDED_FLAGS with SetConsoleMode()

2022-12-26 (v3.00.0008)
  new: windows 11 & 10 ver H2 detection
  fix: update screen after change vga colors in windows
  fix: Alt-[Left/Right/Up/Down] hotkeys now works with calculator
  new: Ctrl-Alt-Left/Right in inputline moves string left/right one position if is scrolled
  new: Set File Attributes in SubDirectories in menu->File (Ctrl-Shift-A hotkey)
  new: CR/LF file conversion option
  fix: show correct extended value in calculator (FPC version - 6,6/2 = 3,3 instead 3,29999999999999999996)
  fix: numeral system base in calculators must be in limits <2..62> (now CANDYMAN[35] = 791683215073)
  new: /NOVID cmdline parameter in Dos version skips checking extended video mode validity before set
  new: Arabic <-> Roman number converter in basic calculator (for example IV[R] = 4)
  new: added item "ActualizeTimer" in Menu->"=" in Dos version
  new: Alt-Del in editor make copy of current block in new window
  new: Shuffle command added in editor menu->Block
  fix: Undo in editor after sort not deletes line after selected block
  fix: Now #9 characters are correctly converted to spaces in editor file reader
  new: After Ctrl-Alt-H in editor you can change/select syntax highlight type
  new: Ctrl-Shift-Up/Dn in ListBox moves TopItem up/down
  new: "Reverse positions of lines" command (Ctrl-Alt-;) added to editor menu->Block
  fix: highlight file (NDN.HGL) changed and some commands added
  new: Ability to freeze the document before modifying it (see editor menu->Options->Frozen)
  new: "En/De-crypt text" (Ctrl-Alt-E/D) commands in editor menu->Misc
  new: "Open/Save encrypted" commands in editor menu->File
  new: Alt-N hotkey in editor goes to column number in current line
  new: the ability to temporary enable/disable the generation of undo/redo for faster operations
  new: optionally confirmation to disable/free generation undo/redo in editor
  fix: added new cpuid instruction flags and MaxLevels usage to detect
  new: Ctrl-Home/-End jump to first/last visible item in menu
  new: Random case char/word/line/block operation in editor Ctrl-< / Ctrl-> / Ctrl-Shift-> / Ctrl-K >
  new: Sorting(-reverse) also case insensitive in editor added (Ctrl-Alt-T/Ctrl-Alt-Shift-T)
  fix: "BIT" function in calculators not support negative argument
  new: Home/End goes to first/last item of unexpanded menu
  fix: Language switch modified
  new  Goto previous/next quote symbol added to editor menu->Misc->Goto (Alt-</Alt-> hotkeys)
  new: playing sounds on PC speaker (D32/K32) when is started/closed/run-saver (if enabled in InterfaceSetup)
  new: Added optional show hint bar in interface setup
  fix: now corrected showing in editor menu when paste is possible
  fix: NDN not freeze when is running on emulators after press Ctrl-Alt-F12
  new: experimental version for MenuetOS x64 (best x64 assembly written OS - M32)
  fix: infinite erase does not happen when file/folder (K32/M32) cannot be deleted
  fix: The editor is opened with the names of the files specified on the command line also in K32/M32 versions
  fix: correct DayOfWeek in clock (K32)
  new: experimental version for Solaris x64 (Oracle OS - S64)
  new: experimental version for SigmaOS x86 (CandyMan's OS - S32)
  fix: show correct base in decoder for PE header
  new: download file using HTTP/HTTPS protocol in Windows versions
  new: add column "@" - show file/folder age in different colors
  new: add "Stop after reaching the number of results" in Advanced file search
  new: run with /KILL commandline param erases previous configuration files
  new: Alt-J jumps to the same folder in inactive panel
  new: Goto previous/next user defined symbol added to editor menu->Misc->Goto (Ctrl-Alt-</Ctrl-Alt-> hotkeys)
  fix: After open HN (Ctrl-Alt-F12) or Decoder window number is not "lost"
  fix: Sometimes copying/moving files did not work
  new: In editor find/replace added field "Contains:" take into account lines that constains this string
  fix: time position in calculators now show overflow if range was overdue
  fix: added red palette for error message box
  new: disk editor (for FAT disks in DOS versions | for FAT disk images in OTHERS targets)
  new: Plugin Manager (WinMenu-F11 hotkey) & 1st working plugins in Dos/Win/K32/M32 (not yet released)
  new: SAR (shift arithmetic right) operator added to calculators

2022-01-23 (v3.00.0007)
  new: linux add column "B" and "Z" in linux version
  new: experimental version for KolibriOS (russian x32 OS)
  fix: VP version (not W32) show free memory size >2GB
  new: linux add column "W" - show file type like MC
  new: add Host-info into InfoPanel (Ctrl-L)
  fix: linux x64 fix OS Environment dialog
  new: InfoPanel (Ctrl-L) - items can be hidden
  new: panel QuickView optionally show folder statistics
  fix: file properties (Ctrl-; hotkey) also show approximate results ("~" char)
  fix: no overflow with calculating folder size on disk (VP versions)
  new: show current disk informations (FAT & NTFS drive type)
  fix: fixed bug in LFN.lChDir() in VP-Dos version
  new: Windows version: autorun as Administrator option (in menu Options->Configuration->System Setup... - default Off)
  fix: Linux64 version: runs now also on real console - not crashes
  fix: correct show UTF8 names inside ZIP archives
  new: analog clock in menu->Utilities
  new: Space hotkey centers X & Y window when dragging if active (Ctrl-F4)
  new: Ctrl-Space hotkey center X window when dragging if active (Ctrl-F4)
  new: Alt-Z hotkey toggles maximize/restore window when dragging if active (Ctrl-F4)
  new: Auto-spaces option in editor after one of char ,.:;!?
  new: Alt-Home in editor jumps to 1st non-blank character in current line
  new: "Save directory selection" in FM setup & "Clear folder selection list" in History submenu
  new: Sort method by digital number
  new: option in editor menu->Misc "Insert string using font"
  new: faster CRC calculation by CRC32 SSE4_2 opcode
  new: [Shift]-Tab toggles calendar show horizontal/vertical
  fix: statusline commands now works with calendars
  fix: RCP support +/- operators in constants like: "3-1+2", "kbEsc-3" or "kbTab+kbRWin"
  fix: ContextMenu works in all Win versions (now activated Alt-[Shift]-A or WinMenu-A)
  fix: sometimes crash when open MiscellaneousSetups
  new: editor, delete all lines in a block that (not)-contains string
  fix: editor, delete empty lines in a block now works
  new: [Ctrl-Space] key in DirectoryTree enables parital view
  new: [Alt-Space], [Alt-Gray-'-'] or [Alt-Gray-'+'] opens/closes all sub directory tree (level 1)
  new: screen grabbing by mouse (see: Options->Configuration->Miscellaneous setups->System Setup Ext)
  new: added CtrlAlt-[Left/Right], CtrlAlt-[Up/Dn] hotkeys to panel quick search
  new: on-screen keyboard activated by click 1st char of status line or press WinMenu-K hotkey
  fix: added new cpuid instruction flags
  new: quick view file description (start in main menu->Manager or after press Ctrl-D
  new: sort directories only by name option added
  new: three alternative buttons (Dark/Yuck/Zeez), to select palette, in Colors->Vga Palette
  new: gomoku Japanese game
  new: WinMenu-F option to QuickSearch in FilePanel (Dos & Win)
  fix: now AltQ hotkey works in dialogs
  fix: better dialog detection data change/modification
  new: possible DEFINE/UNDEF/PUSH/POP directives in resource files to test other target
  fix: increased view subtitle size
  new: Ctrl-Shift-M minimizes/iconizes current window
  new: Ctrl-Shift-<1-9> selects window number 1-9
  fix: Esc sometimes closes minimized window
  fix: in dos version show correct command line timer (dx:cx registers was swapped)
  new: XMS/EMS (Dos) memory statistics data
  fix: Alt-Shift-/ changed cmdline to invalid state (FPC version)
  new: optionally create simple event log file (Options->Configuration->Miscellaneous setups->System Setup Ext)
  fix: the same file descriptions will not be copied
  fix: 2048 game not blinking
  fix: help window is zoomed to desktop size
  fix: show cpu registers & true free memory size on exceptions in Dos/K32 version
  new: minesweeper game
  fix: now Ctrl-[Up/Dn] works in help window
  fix: find file in panel now search in whole file when advanced search is off
  new: simple html viewer
  fix: quick search is activated by pressing and releasing only single Alt/Ctrl
  fix: now releasing Ctrl, Caps/Num/Scroll-Lock key works also in Kolibri (K32 version)
  fix: executing files in KolibriOS via /sys/@open
  new: new option in menu "=": visit NDN website in K32 version
  fix: Full screen shoot option visible in menu only in Windows
  fix: sort indicator in left upper corner of panel was incorrect for some modes
  new: Option "Restart the kernel" menu File->Shutdown system... in K32 ver.
  new: auto switch font after Ctrl-Space hotkey in help window (K32)
  new: Copy/paste to/from system clipboard works in K32
  new: When APM not found, in dos, NDN try to shut down by ACPI (if not run as DPMI32/VCPI client)
  fix: now now show all files with mask specified, was small bug in FindFirst()/FindNext() (K32)
  new: command line option /NOEXC disables/skips installing exception handler to debug NDN (Dos32/K32)
  new: show disk size & volume label name on K32
  fix: SysFileMove() function works in K32
  fix: the ".." is not showing in root directory (K32)
  fix: Capitalization does not matter in directory history (!Linux)
  fix: in ScreenSaversSetup, after pressing test button, double click listbox not worked
  new: squares game
  fix: list of disks updated after Alt-F1/F2 (K32)
  fix: EVM_MOUSE_FILTER added to SetEventMask(), NDN window not reacts on mouse events when is inactive.
  fix: optional only basic archivers will be detected (see menu Options->Archives->ArchivesOptions...)
  fix: Contents of the TIB pointers (fs:[4] and fs:[8]) were changed in VP versions (Dos32/K32)
  new: Save button in CPU Information dialog to write report to file
  fix: now drives are visible in TFileDialog (K32)
  fix: first line of current file was not show in TFileDialog (Linux/K32)
  fix: show #0 character in ASCII Table
  fix: corrected free memory detection in Linux32
  fix: build compressor now works in Linux32 and optionally support readonly files
  fix: show allocated file size on disk & sort by this size also in Linux version
  new: column "R" in disk shows how much space is used by the file in the current folder as a percentage
  new: OS/2 version released
  new: test version for HaikuOS

2021-07-21 (v3.00.0006)
  fix: better dos version detection
  fix: now in 32-bit ndn version build assembler generates valid code
  fix: now, double-clicking the mouse does not process the event multiple times.
  new: CrossWordMania unit released, dictionaries can be downloaded from www.ndn.muxe.com/download/file/dicts.7z
  fix: bug, in replace string, in editor sometimes causes crash
  fix: linux: tmpfs and nfs volumes always show in drive selection menu
  fix: in "hgroups.ini" length of mask may be greather than 255 bytes (up to 32767 bytes)
  fix: now dos version support [5] hotkey on numeric keyboard
  new: in advanced file search added option "Search only in the first n-bytes..." and "Find duplicate files..."
  new: added "Filters" sub-menu in "Panel" menu and fast filter switch
  fix: added new cpuid instruction flags
  new: new FilePanel K - show file creation date & time
  new: new FilePanel J - show file last access date & time
  new: new FilePanel W - show file real/allocated size
  new: added sort files by allocated size
  new: file properties in file menu (Ctrl-; hotkey)
  fix: fixed bug with pointers in natural sort
  fix: now valid file attributes are visible in archives ZIP & RAR
  fix: dos keyboard driver, pressed Ctrl-= returns correct keycode
  new: added auto hide command line option
  fix: some games in Linux64 version now work fine (runs slower)
  new: Beast game added
  new: new buttons (Prev/Next) in cpu information dialog for better "navigation"
  fix: TicsPerDay constant now is correct in dos version
  fix: now compressed and not compressed help files are accepted (last /D param for TVHC - disables compression)
  new: added 3 language buttons in Options->Configuration->CountrySupport to change uppercase table
  new: Wipe selected files in panel (Alt-Shift-Del hotkey)
  new: linux: Ctrl-F option to QuickSearch in FilePanel
  fix: windows server 2022 detection
  new: windows: detect freespace by current directory instead current drive
  new: windows portable devices
  new: windows: new columns FilePanel B/Z - show free space/disk size
  fix: better DOSBox emulator detection
  fix: crash with Win98 when dos is in HMA (NDN tried read not mapped memory above 1MB)
  fix: crash with Win98 when BIOS fonts was located in HMA

2020-10-22 (v3.00.0005)
  new: new FilePanel O - show file Owner (WinNT+,Linux)
  new: new FilePanel L - show file Links number (Win)
  new: optionally add ".." item in main folders
  new: Tab hotkey switch to next Window in ChangeDrive
  new: AsciiTab shows video and internal font for compare (Dos)
  new: optionally shows sort mode indicator in FilePanel
  new: added option directories first in SortBy menu
  new: "align extension if folders" and "Show [] around directories" options added to SetupColumns
  new: possible make copy data in Dialogs and Ctrl-Alt-Shift-BackSpc hotkey & UndoView to undo all changes
  new: Alt-/Ctrl-Space hotkeys reverses-bits/(de)selects all items in focused CheckBoxes
  fix: search file in panel (Alt-F7) was corrected
  new: Num-/Num+ can also de/selects directories
  new: optionally current item number & items count shown on bottom of the menu
  new: Tab/Shift-Tab goes to the next/previous menu without expanding the submenu
  new: Backspace in menu returns to the default item
  new: optionally natural sorting in panel: alphabetical and numerical
  new: user defined file size formatting added
  fix: corected some bugs in hash calculation
  new: toggle manager size to half/full screen, option to menu added (Ctrl-Alt-F hotkey)
  new: new screen savers "Other worm" and "Gravity" (last only for Dos)
  new: great pac-man game clone
  new: possible scrollbar in menus
  new: "Gray" button in vga palette edit dialog
  new: after Ctrl-Alt-F11 you can set extended video text mode selected from list in ndn.vid file (only in Dos)
  new: cool scrollbarx made by Sergey in file panel
  fix: paste long strings from clipboard optimized for speed by 1 million percent
  fix: Viewer: textmode hide selection if "Persistent blocks" off
  fix: Viewer: block do not reset while scroll by Ctrl-Keys
  new: new Scrollbar in Editor and Viewer
  fix: Show "Free space on border" and "Filter for filenames" if DriveLine is OFF
  new: Filepanel: Options to disable show selected files and size
  fix: online update works with NDN website
  new: optionally show current cluster on bottom dialog frame
  fix: sometimes you couldn't change the language after Alt-F12 and you had to press Alt-X
  new: change Ruller mode (dec\hex) by mouse Right button DoubleClick
  new: binary file comparer
  fix: copy/paste from clipboard was fixed (U64 version)
  fix: now you can change the color from the extended palette in ChangeColors
  new: Undo button in ChangeColors
  fix: End of line characters removed from dump screen after crash
  fix: ScrollBar(X) show true position for larges values
  fix: goto dirs inside .TRD files
  new: inside archivers Ctrl-K toggle show path
  new: Branch in archives (Ctrl-H)
  fix: Panel filter now work in archive's find result
  fix: drawing using VGA palette in Linux64 if option in SystemSetup enabled

2020-06-20 (v3.00.0004)
  fix: keyboard driver in dos version changed to be more friendly
  fix: now insert key on numeric keyboard works when numlock in on
  fix: archive: CAB (.BOX) SFX detection
  fix: archive: detection VHD image file with MBR
  fix: uuencode/uudecode code was extended
  new: now we can coufigure tag for file attributes in file panel
  new: option to disable execution of all files by Enter, which not executable and not listed in NDN.EXT (DOS32/64)
  fix: after enter to archive in panel sometimes some memory was tried to free twice and NDN crashes
  fix: filepanel column 'T' size fix with 12hr time format
  new: viewer: hotkey for highlite column and line Ctrl "-" and Ctrl "="
  fix: viewer: reset current codepage while change ViewMode
  fix: viewer: correct mark changes and cursor in dump\hex\text mode with unicode
  new: Hotkey to enable\disable QDR\EQDR\VFS in change drive menu Ctrl "-", Ctrl "=",Ctrl "\"
  new: viewer: options "Autodetect Codepage"
  new: archive: support Compound Binary File view via 7z
  new: archive: support EXEcutable file resourse viewer (like archive) via 7z
  new: archive: VHD: detect HFS container and EFI partitions
  new: archive: options to view executable via F3 or Enter
  fix: Ctrl-PgDn work again (enter to folders and archive)
  fix: fix change DateTime at files with RO attributes
  new: VHD: dmg image detection (Apple Disk Image)
  new: Keyboard speed setup (DOS32/64)
  new: SpinView past ClockView
  new: support YBS archiver (c) Vadim Yoockin
  fix: AI archiver filename detection fix
  new: new FilePanel H,V - view first bytes of file
  new: key AltLeft/AltRight/AltUp/AltDn selects nearest next View in Group
  fix: command line in DOS version validity check
  new: support SBC Archiver (c) Sami
  new: support IMP (c) Technelysium Pty Ltd.
  new: support BSN archiver
  fix: use internal parser for .Q archives
  new: optional View 1st line of file in FileDialog
  new: Ctrl-Space in Help fast switches to another language
  new: Change Cursor Size Setup for Dos version
  new: "Test Explode" button in InterfaceSetup
  new: "Hide"/"Show"/"Icon" buttons in WindowsManager
  fix: lzma archive detect
  fix: Ctrl-Enter in filepanel with QuickSearch mode work again
  new: Additional screen saver "2nd Sky"
  fix: now "Test" button works in ScreenSaverSetup also when Time=0
  fix: fixed bug in frame draw procedure which occurs when extended explode is enabled
  new: extended global palette

2020-02-19 (v3.00.0002)
  new: some update in driveline info window information
  new: Detect name of image file at Virtual drive (img/vhd/iso/vhdx) in drive select menu
  new: Detect Hardlink names and swich between dialogs
  fix: FilePanel: now selected files count show on center of divider separator and shift left if not enouth space
  new: now NDN can make Hardlink and Symlink Alt-F6 -> [ Link ] ...
  fix: SYMLINK and JUNCTION show dialog  (Alt-F6) update
  fix: windows: FilePanel correct show junction with PrintNameLength=0
  new: archive: VHDX via 7z detection as VHD
  new: linux: detect file attributes 'P' Protect hierarchy
  new: archive: ISO+UDF Image detection support
  new: linux: JFS,UDF FileSystem and VolumeLabel detection
  new: option to disable execution of all files by Enter, which not executable and not listed in NDN.EXT (Win32/64)
  fix: Filter dialog resize (Alt-Del)
  fix: Archive list and Archive select dialog resize
  new: Color to ActiveAttributesFilter\NameFilter\Ratio(numbers+text) can be setup in Configuration -> colors
  fix: Viewer: find + replace fixed wrong position in text mode with EOL\TAB visible
  new: DirSize add new map like in SequoiaView
  new: add .RK archive support (high performance archiver (c) Malcolm Taylor)
  new: now password protected files in arhives show like encrypted (E)
  new: .AI Archive support (Ai Archiver (C) E.Ilya, MSU)
  fix: .AIN archive detection
  fix: Move file to folder have one character's name
  fix: .QRK archive v1.6 detection
  fix: pcre recompiled for i386 cpu (previous was for p6)
  new: add .LZO archive support (lzop v0.95  Copyright (C) Markus Franz Xaver Johannes Oberhumer)
  fix: now NDN correct show folders and subfolders in .HPK archives
  fix: detect password portected .JAR archives
  new: show UFA\JAR\RAR5\ACE\HPK password protected files as hidden
  fix: TArcDrive.Store\Load miss prev variable (fix crash after extract\reload)
  new: MessageBox while read\detect encrypted archive (UHA\ZPQ\RAR\HPK\7Z)
  fix: some dialogs element update
  fix: .ACE archive detection fix
  new: linux: exFAT FileSystem and VolumeLabel detection
  fix: linux: Panel reread after exit from archive
  fix: DirSize x64 crash on files with size=0 fixed
  fix: Ctrl-Y inc ShowMode \ Alt-Y dec ShowMode
  fix: linux Alt-Shift-0 QuickDirChange menu fixed
  fix: Copy to clipboard correct copy selected block and LineBreaks
  fix: Copy text to clipboard (no add <CR><LF>)
  fix: Paste from clipboard correct paste <CR><LF>
  new: Align extensions on folders is hardcore disbaled
  fix: AutoRefresh Panel after erase dir\exec commandline\hide panels  work again (add Drive^.NotifyAdd; Drive^.NotifyDelete)
  fix: notifyd update (exec\erase\panel swi)
  fix: Paste text from windows clipboard with option [x] StrLen()
  fix: detection .jar archive (delete %tempfile% before read archive list)
  new: CalcHash add button to copy all Hashes to Clipboard
  fix: Ctrl-Shift-F1..F12 work again
  fix: DirSize: map on empty directory fixed, added Hotkeys on buttons
  fix: Panel Options (Alt+S) file attributes hotkey work normally
  fix: Compare directories dialog resized
  fix: Ctrl-Shift-Enter on FilePanel work again
  fix: NDN can show .rar5 and .zpaq additional file attributes (dwfileAttributes)
  fix: .tgz correct show names with russian character (codepage 1251)
  fix: .zpq .tar achives unicode filename support
  fix: TCheckedComboBox handle hotkeys only with Alt or active element
  new: archives : F4 on folder = extract, F4 on selected files\folders = extract, F4 on '..' = exract all (thx DRON)
  fix: now NDN can add files to .ZPAQ archive (Shift-F1) (thanks to WAJIM)
  fix: extract .HAP .CAB archive via Shift-F2 work again (thanks to WAJIM)
  fix: archive setup dialog parametrs resized up to 99 char, some optimisation (thanks to WAJIM)
  new: Highlite group list dialog update

2019-12-22 (v3.00.0001)
  new: Change InfoPanel memory info style
  fix: InfoPanel size change
  fix: linux: l64 fix link show in FilePanel
  new: Alt-F6 on symlink\junction show link source in rename dialog
  new: windows: [ALT-CTRL-SHIFT-INSERT] = copy link\junction path to clipboard
  fix: support archive with space in filename and spaces in unpacker path
  new: archive .CPIO and SquashFS(VHD) detecrion via 7-zip (path like .\usr\lib\)
  fix: better Windows 10\Server 2016\2019 version detection
  new: linux: add hotkey to quick change fileattributes in file attributes dialog [Ctl-A]
  fix: calc: store to history valuea befor and after calculate
  add: new cpu instructions in build decoder & assembler
  fix: [Ctrl-Shift-Left] and [Ctrl-Shift-Rigth] in file panel work again (resize Name columnin in current panel)
  fix: linux: now work [Alt-Shift-Left] and [Alt-Shift-Right]
  add: some options in Panel otions dialog
  new: linux: NDN can change volume label on mounted volume fat12\16\32 and btrfs
  new: linux: new option to hide pseudofilesystem from driveline and Drive menu Options->Configuration->Interface->Driveinfo
  fix: driveline color(with disabled option show DriveType) thx WAJIM
  fix: AMD/VIA cpu cache detection
  fix: FilePanel Qiucksearch activated only by single Hotkey
  fix: linux: l64 fixed FTP connection
  new: linux: XFS volume label detection
  new: linux: [Alt-E] - change File Flags [Ctrl-A] - cahnge file Attributes
  new: linux: new FilePanel column 'Y' - Linux File Flags
  fix: linux: show filesystem of current folder (Ctrl-L)
  new: linux: new option "File Flags on separator" at Panel options (Alt-S)
  fix: some Dialog element fixes
  fix: linux: erase progress bar fix

2019-11-05 (v3.00.0000)
  fix: linux: execute OS command
  new: linux: filepanel driveline use pallete's color for cd\lan\vfs\usb
  new: linux: NDN can detect 109 types of Filesystem
  fix: linux: some parts of "keyboard driver" fixed
  fix: linux: windows borders and some GUI
  new: linux: FilePanel filter (Alt-S) can use Fileattributes
  new: linux: file Attributes change (Ctrl-A\Alt-E)
  new: now NDN can detect ReactOS at start
  fix: term: xterm-256color detection fix
  new: linux XFS\Ext2,Ext3,Ext4\minix\bttrfs FileSystem detection in Alt-F1\F2 menu
  new: linux tty detection at startup message
  fix: linux: fix filepanel file info lines
  fix: now Alt-Left/Right in the editor works as before
  fix: NDN crashed when trying to open Decoder with nonexistent file
  fix: a little improvement exception report
  new: added possible define command line prompt format
  new: task list for Windows version
  new: remember/restore selected files in panel [CTRL-ALT-GRAY-"*"/"/"]
  new: new menu button in win version - fast open a new command prompt window
  new: optionally in history you can see the date of the operation
  new: the Panel->Selections menu has been extended with additional buttons for computers without a numeric keypad
  new: added goto first/last selected file in panel [CTRL-ALT-HOME/END]
  new: horizontal breakdown in manager [CTRL-ATL-H]
  new: new hotkey, set maximal video mode [CTRL-ATL-M]
  new: optionally allow to run only one copy of NDN in windows (restart needed)
  new: auto maximize console window option in Options->Configuration->Startup/Shutdown
  new: option to exclude path from file search in FindFile.Advanced
  new: switchable extened search and inputline in histories
  new: possible check symbol defines in Help Compiler like in RCP
  new: calculator in RCP, possible math expressions instead of constants in resources
  fix: added a few new hashes calculation
  fix: now NDN reads all screen from OS when buffer is greater than 32K
  new: NDN can import NG, VP, BP and OS2 help files

2019-09-08 (v2.31.5475)
  fix: keyboard driver in DOS32 DPMI version
  fix: now the menu reappears after F10 if it was previously hidden
  fix: sometimes one of the built-in screensavers (roundworm) crashed
  fix: now the clock does not display the character with code 0x00
  fix: corrected reverse procedure in editor and input line
  new: in select disk it is possible to bypass disk type detection for A: and B: drives

2019-07-23 (v2.31.5474)
  new: x64 test unicode version.
  new: Zydis disassembler.
  new: F4 in QuickDirMenu = edit ndn.qdr
  new: Find file inside archives
  fix: Now attributes other than the directory are visible in the archives.
  new: Show BusType of disk in select disk dialog (Ctrl-9)
  new: Detect Ramdrive disk as is possible
  new: Use GUID identifier in ExtQuickDir (ndn.qdr) and QuickDir (ndn.ini)
  new: Find in help window
  Editor/InputLine: new hotkey
    Replace mutliple spaces to one space ........... [CTRL-[5]]
    Replace mutliple zero characters to one ........ [CTRL-`]
    Remove all spaces from string .................. [CTRL-SHIFT-[5]]
    Remove all zero characters from string ......... [CTRL-SHIFT-`]
    Delete all spaces but only not in quotes ....... [CTRL-ALT-SHIFT-[5]]
    Delete all zero characters but not in quotes ... [CTRL-ALT-SHIFT-`]
  Filepanel: new hotkey:
    Directory name and current file name of left panel ............. [CTRL+'<']
    Directory name and current file name of right panel ............ [CTRL+'>']
    Directory name of left panel and current file name next panel... [CTRL+SHIFT+'<']
    Directory name of right panel and current file name next panel.. [CTRL+SHIFT+'>']
  new: support extended file atributes inside RAR5 archives
  new: Support for RAR5 archives has been improved support in UTF8 filename
  new: Now copy to/from windows clipboard can have a char code #0 inside.
  new: support extended file atributes inside archives
  new: RAR5 archiver support
  fix: x32 version now can detect archives more 2Gb.
  new: FileSearch: display percent completion of the operation and TaskBar progress.
     * TWhileView now reacts to pressing the Stop button.
  new: support for modes larger than 255 (up to 511 columns) to NDN.
  fix: error in the quicksearch panel (sometimes an infinite loop).
  fix: another error (Windows does not display correctly in the console of the character code #13).
  new: show Windows Taskbar Progress while Coping and Deleting files
  new: add ndn.exe.mainfest for detection win 8.1++ and compatibility
  new: add ndn.exe.versioninfo
  new: MS Windows version detection
  new: Run in compatibility mode detection
  new: Detect virtual cdrom\hard drive

2019-06-20 (v2.31.5473)
  new: Online update of NDN
  fix: Select dialog menu position.x
  new: Show windows volume name if disk label is empty (TDriveInfo.GetWinVolumeLabel)
  new: InfoPanel Show windows volume name if disk label is empty
  new: Arc:VHD: via 7z support (Fat\Fat32\Ntfs)
  new: CheckedComboBox and Tabs dialog element
  Highlight groups dialog resize
  new: configure for Select disk dialog
  new HotKey Ctrl-1..7 in select disk dialog

2019-06-03 (v2.31.5472)
  fix: use full file attribute in compare dirs dialog
  new: Now NDN W32 versions can copy files larger than 2GB
  new: now NDN ask password if cd to network share with password protect
  add: changed attributes for network panel
  new: options -> network : Windows input login\password dialog

2019-05-28 (v2.31.5471b2)
  file attributes: use drive VolumeSysFlags to access to dwfileAttributes
  new: Panel Options setup now use full FileAttributes
  new: Column 'C' and 'R' now can used in Drive\Find\Temp panel
  new: Attributes filter now show in bottom drivline like filename filter
  add: InfoPanel (Ctrl-L) show VolumeSysFlags: of drive or network share
  fix: W32 FileDialog not all only Directories show in dialog
  fix: dirsize first cahracter color in filemap at dark color pallete
  new: search can use dwfileAttributes in advanced options
  add: counters to process "Calc directory length"
  fix: disable default enabled option '[x] Find LFN only' in Find dialog

2019-05-13 (v2.31.5471b)
  new: BigCalculator add new operations
  new: Build w32 with FreePascal

2019-05-06 (v2.31.5470b)
  new: changed file attributes letter + support changes extended attributes
  copy dialog: Full file attributes support
  fix: w32: RAR archive detection
  new: Extensions file size dialog: add colored files map for folder
  fix crash in netdrive.GetResourceOfDrive
  support file attributes: NPU NORMAL,PINNED,UNPINNED

2019-04-15 (v2.31.5470)
  new: Extensions file size dialog (Ctrl-S in file panel)
  new: 64-bit dos extender + new FPC compilers versions
  fixed: Resolution size > 255
  fixed: BracketPair inside of block

2019-03-21 (v2.31.5469)
  Add to NDN in block editor's menu option "delete starting spaces & tabs".
  Modified help navigator.
  Resized FileDialog window
  Fixed bug, the same memory was mapped twice.
  Added capstone disassembler.
  Modified calculators.
  Shift-Up\Dn in history work again
  Editor: new command: delete starting spaces & tabs
  Editor: (BracketPair) Alt-Left\Right changed to Alt-Home\End

2019-02-18 (v2.31.5468)
  Dialog to Shutdown Computer
  Fix border in drag mode with enabled driveline
  Add ballon after long delete\copy
  Use environment variables in QuickDir* (ndn.ini)   (QuickDir2=%USERPROFILE%)
  Add Balloon to BeepAftercopy
  fix: codepage in ballon text
  Use arrtibute string width in show fmiCurrent
  Driveline Frame color while dragging
  Confirm while sutdown
  Default column 'X' size fix
  Attribute flag 'N' -> 'I' like in Windows

2018-12-21 (v2.31.5467)
  fix: Symlink now work on WinXP (comment GetFinalPathNameByHandle)
  new: Shift-Enter on directory = goto symlink path
  new: Show '<SYMLINK>' and '<JUNCTION>' in 'S' Column
  new Arc VMDK: Image support via 7-zip
  new: USB Safe remove
  Sort X column like filepanel
  Use X column with attributes in FTP panel
  Symlink: show Fullname + source path in LFN name
  Full attributes in drive panel + find panel
  'N' + 'S' column support
  Ctrl-A attrib dialog of file attributes
  Attributes on separator: (Rigfh click - change attributes \ Left click - show full attrib)

2018-12-04 (v2.31.5466)
  Source code refactoring (remove not used unit)
  Add File hashes calculate
  network: logon error processing
  network: show logon error message
  new: support command cd \\server
  New column "F" - ip address
  New column "G" - mac address
  Fix quicksearch position in panel
  Now Ctrl-F work in network panel
  Network drive show root path name in panel's free space line
  Detect Device type by local Ieee mac address base
  F5 = ping in network panel
  Help file update

2018-11-11 (v2.31.5465)
  Extended file attributes in panel and in dialog (Ctrl-A)
  New game 2048
  Translate some dialogs and messages
  Tray icon config dialog
  New panel options setup
  New arc:BZIP2 + VDI + Q
  Better BIX archive detect
  F11 - change user (work on service and network browser)
  Use file SFN in network
  Network status line (fmiShowSzDtTm)
  Access into password protected share after ACCESS DENI
  Show full servise status on info panel

2018-11-03 (v2.31.5464)
  New panel setup (dlgPanelSetupX)
  Rewrite processlist (VFS_PROC.PAS)
  Reformating Info panel  (1line SFN  / 2line LFN / 3line Description)
  Network browser setup in options (not finished)
  Options  -> Configuration ->Miscellaneous setups -> SystemTray (here you will change Stefans code and remove one instance)
  Alternative icon in tray if user have admin rights
  (Ctrl-k) in Process panel - is FullPath to process
  Confirm dialog before kill process
  Add % to skip files info in copy\move\dialog
  Highlite active attrib filter in separator (alt-s)
  F4- in Service$ panel change name mode (i use column 'B' as service status )
  Auto resizing copy\move\delete\dialog
  New archives support wia 7-zip
  Columns default size use (if not set in Alt-k)

2018-10-19 (v2.31.5463)
2018-10-04 (v2.31.5462)
2018-09-23 (v2.31.5461)
2018-07-14 (v2.31.5460)
2018-07-13 (v2.31.5459)
2017-12-15 (v2.31.5458)

2010..2017:

  Windows Caption Overal progress
  Add % to skip files info (copy progress bar)
  Detect x32 and x64 process
  Tray icon ballon if user is not have admin rights
  Network Update
  Description's in Network panel
  Use System and Hide file attributes in network's share
  Balloon in about window ;)
  Show IP addres in panel instead of DateTime
  Quicksearch in network file panel use '\' like *
  Fix: Networks count in border
  Show IP addres and HostName in infoPanel window (Ctrl-L)
  Support russian names in process path
  Now descriptions (ctrl-k) in Process panel - is FullPath to process
  Confirm before kill process
  Check print$ share
  W32: GlobalMemoryStatus() to info panel
  Win:x64 show Free mem% in clock until shift is press
  Infopanel: Do not show x32 memory size in 64bit
  Ask password before change password's protected shared dir
  Return to netrork from other VFS
  Do not check IP address in \\tsclient
  F7 = History in Output window (like in cmd.exe)
